RKWARD(1)

NOME
rkward - Un'interfaccia di KDE a R

SINOSSI

rkward [--evaluate Rcode] [--debug-level livello] [--debug-flags flag] [--debug-output dove] [--backend-debugger comando_debugger] [--r-executable percorso_a_eseguibile] [--reuse] [--autoreuse] [--nowarn-external] [Opzioni generiche di KDE] [Opzioni generiche di Qt] [file_da_aprire]

DESCRIZIONE

RKWard è una GUI basata su KDE e un IDE per il linguaggio di script R per il calcolo statistico.

Per ulteriori informazioni, fare riferimento alla documentazione di the RKWard website[1], e alla documentazione fornita all'interno di RKWard.

OPZIONI

--evaluate Rcode
    Il codice R specificato è valutato dopo l'avvio di RKWard, e successivamente al caricamento di qualsiasi area di lavoro. Utile principalmente per i test automatizzati.

--debug-level livello
    Verbosità del risultato del debug. 0-5, dove 0 significa nessun risultato, 5 è tutto il risultato incluse le informazioni di traccia delle funzioni. L'impostazione predefinita è 2.

--debug-output dove
    Dove inviare il risultato del debug. L'impostazione predefinita è archiviarlo in un file nella cartella temporanea. Specificando «terminal» si scriverà invece il risultato del debug su stderr (utile per il debug di problemi di avvio). Si noti che il risultato del debug dal processo di backend è sempre archiviato in un file.

--debug-flags flag
    Configurare su quali sezioni di codice eseguire il debug. I flag sono indicati come un numero binario. Fare riferimento ai file sorgenti per la documentazione, poiché questa è un'opzione interna.

--backend-debugger comando
    Eseguire il motore di RKWard tramite il comando del debugger specificato. Per aggiungere le opzioni della riga di comando al comando del debugger, racchiuderle tra singoli apici ('') insieme al comando. NOTA: Gli argomenti del debugger saranno divisi per spazi. Se ciò non è appropriato, si dovrà scrivere il proprio script per invocare il debugger. Inoltre, assicurarsi di reindirizzare tutto il risultato e/o l'ingresso del debugger in modo appropriato. Vedere gli esempi.

--r-executable comando
    Nel caso di più installazioni di R, specificare l'installazione da utilizzare, ad es. /usr/bin/R. È possibile anche utilizzare la stringa "auto", nel qual caso RKWard proverà a trovare R in uno dei percorsi di installazione standard noti. NOTA che sebbene RKWard funzionerà spesso con le versioni più recenti di R, a volte dovrà essere ricompilato per quella versione, oppure potrebbe essere essere del tutto incompatibile.

    Questa opzione modifica l'installazione di R solo per la sessione attuale, non in modo persistente.

--reuse
    Se un'istanza di RKWard è già in esecuzione, portarla in primo piano e aprire file_da_aprire. Si noti che tutte le altre opzioni della riga di comando saranno ignorate nel caso in cui un'istanza venga riutilizzata.

--autoreuse
    Si comporta come --reuse, se vengono dati anche argomenti del file, altrimenti inizia una nuova istanza. Destinato all'uso nel file .desktop.

--nowarn-external
    Di solito, quando si invocano le estensioni di RKWard dalla riga di comando (cioè quando file_da_aprire contiene URL della modulo rkward://runplugin/...), RKWard mostrerà un avviso che tale URL potrebbe essere usato per innescare azioni dannose sul tuo sistema. Questo avviso si applica specificamente ai collegamenti presenti su siti web non attendibili o altre fonti esterne non attendibili. Se si desidera creare script di RKWard localmente, è possibile evitare questo avviso aggiungendo --nowarn-external alla riga di comando.

    (Se usato in combinazione con --reuse, allora *entrambi* i comandi in questione dovranno essere invocati con --nowarn-external, per sopprimere l'avviso.)

--setup
    Agisci come se fosse stata installata una nuova versione di RKWard, reinstallando soprattutto il pacchetto di supporto di R e mostrando la procedura guidata di installazione. Questa funzionalità è rivolta principalmente a sviluppatori e tester.

--quirkmode
    Disabilita alcuni codici di convalida di avvio. Opzione sperimentale, non destinata all'uso normale.

file_da_aprire
    È possibile specificare un numero qualsiasi di nomi di file o URL da aprire con RKWard. Di solito si tratta di file dell'area di lavoro, file di lavoro, file di script R o URL rkward:// (ad es. per iniziare con la finestra di un'estensione). Se si specifica più di un file dell'area di lavoro, le aree di lavoro saranno unite insieme, e non è consigliabile.

VEDERE ANCHE

R(1)

ESEMPI

    # Avvio con la finestra del test t
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Apertura di due file di script in un'istanza in esecuzione di RKWard (o in una nuova istanza, se RKWard non è in esecuzione)
    rkward --reuse file_a.R file_b.R

    # Esecuzione del motore di rkward attraverso valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'

AUTORI

RKWard è stato scritto da Thomas Friedrichsmeier e dalla squadra di RKWard. Vedere il sito web di RKWard[1].

AUTORE

Thomas Friedrichsmeier <rkward-devel@kde.org>
    Pagina di manuale di RKWard.

NOTE

1.  the RKWard website
    https://rkward.kde.org/